Update Tool
curl --request PUT \
--url https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"definition": {
"type": "http_api",
"config": {
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"preset_parameters": [
{
"name": "<string>",
"value_template": "<string>",
"required": true
}
],
"timeout_ms": 5000,
"body_template": {},
"body_format": "json"
},
"schema_version": 1,
"messages": [
{
"type": "text",
"text": "<string>",
"event": "start"
}
]
},
"status": "<string>"
}
'import requests
url = "https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}"
payload = {
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"definition": {
"type": "http_api",
"config": {
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"description": "<string>",
"required": True
}
],
"preset_parameters": [
{
"name": "<string>",
"value_template": "<string>",
"required": True
}
],
"timeout_ms": 5000,
"body_template": {},
"body_format": "json"
},
"schema_version": 1,
"messages": [
{
"type": "text",
"text": "<string>",
"event": "start"
}
]
},
"status": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
icon: '<string>',
icon_color: '<string>',
definition: {
type: 'http_api',
config: {
url: '<string>',
headers: {},
credential_uuid: '<string>',
parameters: [{name: '<string>', description: '<string>', required: true}],
preset_parameters: [{name: '<string>', value_template: '<string>', required: true}],
timeout_ms: 5000,
body_template: {},
body_format: 'json'
},
schema_version: 1,
messages: [{type: 'text', text: '<string>', event: 'start'}]
},
status: '<string>'
})
};
fetch('https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'icon' => '<string>',
'icon_color' => '<string>',
'definition' => [
'type' => 'http_api',
'config' => [
'url' => '<string>',
'headers' => [
],
'credential_uuid' => '<string>',
'parameters' => [
[
'name' => '<string>',
'description' => '<string>',
'required' => true
]
],
'preset_parameters' => [
[
'name' => '<string>',
'value_template' => '<string>',
'required' => true
]
],
'timeout_ms' => 5000,
'body_template' => [
],
'body_format' => 'json'
],
'schema_version' => 1,
'messages' => [
[
'type' => 'text',
'text' => '<string>',
'event' => 'start'
]
]
],
'status' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"icon_color\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"body_template\": {},\n \"body_format\": \"json\"\n },\n \"schema_version\": 1,\n \"messages\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"event\": \"start\"\n }\n ]\n },\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"icon_color\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"body_template\": {},\n \"body_format\": \"json\"\n },\n \"schema_version\": 1,\n \"messages\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"event\": \"start\"\n }\n ]\n },\n \"status\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"icon_color\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"body_template\": {},\n \"body_format\": \"json\"\n },\n \"schema_version\": 1,\n \"messages\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"event\": \"start\"\n }\n ]\n },\n \"status\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tool_uuid": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"status": "<string>",
"definition": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"provider_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tools
Update Tool
Update the tool’s supported metadata or definition. Test the resulting downstream request against a service you control before using it in an agent.
Update Tool
curl --request PUT \
--url https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"definition": {
"type": "http_api",
"config": {
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"preset_parameters": [
{
"name": "<string>",
"value_template": "<string>",
"required": true
}
],
"timeout_ms": 5000,
"body_template": {},
"body_format": "json"
},
"schema_version": 1,
"messages": [
{
"type": "text",
"text": "<string>",
"event": "start"
}
]
},
"status": "<string>"
}
'import requests
url = "https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}"
payload = {
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"definition": {
"type": "http_api",
"config": {
"url": "<string>",
"headers": {},
"credential_uuid": "<string>",
"parameters": [
{
"name": "<string>",
"description": "<string>",
"required": True
}
],
"preset_parameters": [
{
"name": "<string>",
"value_template": "<string>",
"required": True
}
],
"timeout_ms": 5000,
"body_template": {},
"body_format": "json"
},
"schema_version": 1,
"messages": [
{
"type": "text",
"text": "<string>",
"event": "start"
}
]
},
"status": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
icon: '<string>',
icon_color: '<string>',
definition: {
type: 'http_api',
config: {
url: '<string>',
headers: {},
credential_uuid: '<string>',
parameters: [{name: '<string>', description: '<string>', required: true}],
preset_parameters: [{name: '<string>', value_template: '<string>', required: true}],
timeout_ms: 5000,
body_template: {},
body_format: 'json'
},
schema_version: 1,
messages: [{type: 'text', text: '<string>', event: 'start'}]
},
status: '<string>'
})
};
fetch('https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'icon' => '<string>',
'icon_color' => '<string>',
'definition' => [
'type' => 'http_api',
'config' => [
'url' => '<string>',
'headers' => [
],
'credential_uuid' => '<string>',
'parameters' => [
[
'name' => '<string>',
'description' => '<string>',
'required' => true
]
],
'preset_parameters' => [
[
'name' => '<string>',
'value_template' => '<string>',
'required' => true
]
],
'timeout_ms' => 5000,
'body_template' => [
],
'body_format' => 'json'
],
'schema_version' => 1,
'messages' => [
[
'type' => 'text',
'text' => '<string>',
'event' => 'start'
]
]
],
'status' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"icon_color\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"body_template\": {},\n \"body_format\": \"json\"\n },\n \"schema_version\": 1,\n \"messages\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"event\": \"start\"\n }\n ]\n },\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"icon_color\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"body_template\": {},\n \"body_format\": \"json\"\n },\n \"schema_version\": 1,\n \"messages\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"event\": \"start\"\n }\n ]\n },\n \"status\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/tools/{tool_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"icon_color\": \"<string>\",\n \"definition\": {\n \"type\": \"http_api\",\n \"config\": {\n \"url\": \"<string>\",\n \"headers\": {},\n \"credential_uuid\": \"<string>\",\n \"parameters\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"required\": true\n }\n ],\n \"preset_parameters\": [\n {\n \"name\": \"<string>\",\n \"value_template\": \"<string>\",\n \"required\": true\n }\n ],\n \"timeout_ms\": 5000,\n \"body_template\": {},\n \"body_format\": \"json\"\n },\n \"schema_version\": 1,\n \"messages\": [\n {\n \"type\": \"text\",\n \"text\": \"<string>\",\n \"event\": \"start\"\n }\n ]\n },\n \"status\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"tool_uuid": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"icon": "<string>",
"icon_color": "<string>",
"status": "<string>",
"definition": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"provider_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Body
application/json
Request schema for updating a reusable tool.
Maximum string length:
255Maximum string length:
50Maximum string length:
7Tool definition for HTTP API tools.
- HttpApiToolDefinition
- EndCallToolDefinition
- TransferCallToolDefinition
- TransferAgentToolDefinition
- CalculatorToolDefinition
- NativeToolDefinition
- McpToolDefinition
Show child attributes
Show child attributes
Response
Successful Response
Response schema for a reusable tool.
Response schema for the user who created a tool.
Show child attributes
Show child attributes